## dzl-path-bar

dzl-path-bar

## Functions

GtkWidget * | dzl_path_bar_new ()
DzlPath * | dzl_path_bar_get_path ()
void | dzl_path_bar_set_path ()
void | dzl_path_bar_set_selected_index ()

## Properties

DzlPath * | path | Read / Write

## Signals

void | element-selected | Run Last
void | populate-menu | Run Last

## Types and Values

#define | DZL_TYPE_PATH_BAR
| DzlPathBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── DzlPathBar

## Implemented Interfaces

DzlPathBar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### dzl_path_bar_new ()

    GtkWidget *
    dzl_path_bar_new (void);

### dzl_path_bar_get_path ()

    DzlPath *
    dzl_path_bar_get_path (DzlPathBar *self);

Gets the path for the view.

#### Returns

A DzlPath.

[transfer none]

### dzl_path_bar_set_path ()

    void
    dzl_path_bar_set_path (DzlPathBar *self,
                           DzlPath *path);

### dzl_path_bar_set_selected_index ()

    void
    dzl_path_bar_set_selected_index (DzlPathBar *self,
                                     guint index);

## Types and Values

### DZL_TYPE_PATH_BAR

    #define DZL_TYPE_PATH_BAR (dzl_path_bar_get_type())

### DzlPathBar

    typedef struct _DzlPathBar DzlPathBar;

## Property Details

### The `“path”` property

      “path”                     DzlPath *

Path.

Owner: DzlPathBar

Flags: Read / Write

## Signal Details

### The `“element-selected”` signal

    void
    user_function (DzlPathBar     *dzlpathbar,
                   DzlPath        *arg1,
                   DzlPathElement *arg2,
                   gpointer        user_data)

Flags: Run Last

### The `“populate-menu”` signal

    void
    user_function (DzlPathBar     *dzlpathbar,
                   DzlPath        *arg1,
                   DzlPathElement *arg2,
                   GMenu          *arg3,
                   gpointer        user_data)

Flags: Run Last